Qt 5.9 | Qt Multimedia | C++ Classes | QMediaContainerControl

Qt 5.9.4 Reference Documentation

# QMediaContainerControl Class

The QMediaContainerControl class provides access to the output container format of a QMediaService More...

Header: | #include <QMediaContainerControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaContainerControl()
virtual QString | containerDescription(const QString &format) const = 0
virtual QString | containerFormat() const = 0
virtual void | setContainerFormat(const QString &format) = 0
virtual QStringList | supportedContainers() const = 0

## Protected Functions

| QMediaContainerControl(QObject *parent = Q_NULLPTR)

## Macros

| QMediaContainerControl_iid

## Detailed Description

The QMediaContainerControl class provides access to the output container format of a QMediaService

If a QMediaService supports writing encoded data it will implement QMediaContainerControl. This control provides information about the output containers supported by a media service and allows one to be selected as the current output containers.

The functionality provided by this control is exposed to application code through the QMediaRecorder class.

The interface name of QMediaContainerControl is `org.qt-project.qt.mediacontainercontrol/5.0` as defined in QMediaContainerControl_iid.

See also QMediaService::requestControl() and QMediaRecorder.

## Member Function Documentation

### `[protected]` QMediaContainerControl::QMediaContainerControl(QObject *parent = Q_NULLPTR)

Constructs a new media container control with the given parent.

### `[virtual]` QMediaContainerControl::~QMediaContainerControl()

Destroys a media container control.

### `[pure virtual]` QString QMediaContainerControl::containerDescription(const QString &format) const

Returns a description of the container format.

### `[pure virtual]` QString QMediaContainerControl::containerFormat() const

Returns the selected container format.

See also setContainerFormat().

### `[pure virtual]` void QMediaContainerControl::setContainerFormat(const QString &format)

Sets the current container format.

See also containerFormat().

### `[pure virtual]` QStringList QMediaContainerControl::supportedContainers() const

Returns a list of MIME types of supported container formats.

## Macro Documentation

### QMediaContainerControl_iid

`org.qt-project.qt.mediacontainercontrol/5.0`

Defines the interface name of the QMediaContainerControl class.